diff -Naur Doomsday Data Files.old/ai/switch/jap_backoff.ai Doomsday Data Files/ai/switch/jap_backoff.ai
--- Doomsday Data Files.old/ai/switch/jap_backoff.ai	2008-12-01 19:17:14.000000000 +0100
+++ Doomsday Data Files/ai/switch/jap_backoff.ai	2008-12-01 21:31:17.000000000 +0100
@@ -1,82 +1,346 @@
-# Japan Backoff China AI File by Lothos
+# reworked by Spocky for DAIM
+# based on the original files (HoI2 1.1) by Lothos
+# reuse is welcome as long as file origin is correctly stated
 
-max_garrison_prop = 0.70
-min_garrison_prop = 0.50
+max_front_ratio = 2.0
+max_garrison_prop = 0.30
+min_garrison_prop = 0.20
+#ferocity = no
+reinforcement = 0.01
+upgrading = 0.1
+combat = {
+	SIK = -1
+	CXB = -1
+	CYN = -1
+}
+###################################
+# Construction and Tech Research
+###################################
+#Default values
+construction = { 
+	max_factor = 1.000
+
+	AA_batteries = no
+	max_AA_level = 5
+	AA_provs = { } 
+
+	coastal_fort = no
+	max_coastal_level = 2
+	coastal_fort_provs = {
+
+	} 
+
+	radar_station = no
+	max_radar = 1 
+	radar_provs = {
 
-max_front_ratios = { 	
-	CHI = 0.8 
+	} 
+
+	air_base = no
+	max_air_base = 1
+	air_base_provs = { } 
+
+	naval_base = no 
+	max_naval_base = 1 
+	naval_base_provs = { } 
+
+
+	ic_at_war = no
+	force_ic_until = 1938
+	ic_end_year = 1938
+	IC_provs = { 	} 
+}
+military = { 
+	relative_build_scheme 	= no 
+	max_batch_peace 	= 540 
+	max_batch_war 		= 540 
+	max_batch_home_front 	= 540
+
+	#### Divisions etc...
+	infantry 	= 0
+	cavalry 	= 0
+	motorized 	= 0
+	mechanized 	= 0
+	light_armor 	= 0
+	armor 		= 0
+	paratrooper 	= 0
+	marine 		= 10
+	bergsjaeger 	= 0
+	garrison	= 0
+      	hq 		= 0
+	militia 	= 0
+#				10 %
+	interceptor 	= 3
+	multi_role 	= 2
+	cas 		= 0
+	strategic_bomber = 0
+	tactical_bomber = 3
+	naval_bomber 	= 1
+	transport_plane = 0
+	flying_bomb 	= 0
+	flying_rocket 	= 0
+#				9 %
+	battleship 	= 6
+	carrier 	= 15
+	escort_carrier	= 2
+	destroyer 	= 13
+	light_cruiser 	= 15
+	heavy_cruiser 	= 0
+	battlecruiser 	= 0
+	submarine 	= 0
+	transports 	= 30
+#				81 %
+
+
+	#### Brigades
+	artillery 		= 40
+	sp_artillery 		= 0
+	rocket_artillery	= 0
+	sp_rct_artillery 	= 0
+	anti_tank 		= 0
+	tank_destroyer 		= 0
+	light_armor_brigade 	= 0
+	heavy_armor 		= 0
+	super_heavy_armor 	= 0
+	armored_car 		= 20
+	anti_air 		= 0
+	police 			= 10
+	engineer 		= 10
+
+	cag = 100.000
 }
 ###################################
 # Ground Combat, Leaders and Garrisons
 ###################################
 garrison = {
 	defend_overseas_beaches = yes
-	home_peace_cap 		= 20
-	war_zone_odds 		= 1.0
-	key_point_prio_mult	= 0.0
-	revolt_risk_mult	= 0.3
+	home_multiplier 	= 10.0
+	overseas_multiplier 	= 1.0
+	home_peace_cap 		= 110
+	war_zone_odds 		= 2.0
+	key_point_prio_mult	= 0.2
+	revolt_risk_mult	= 0.1
 
 	# PRIORITIES:
-	beach			= 30	# Beach level 2
-	capital			= 30	# Our capital
-	human_border	= 0		# Ignored for allied human players
-	war_target		= 50	# The next country targeted for attack by this AI
-	
+	beach			= 50	# Beach level 2
+	capital			= 100	# Our capital
+	human_border		= 50	# Ignored for allied human players
+	war_target		= 70	# The next country targeted for attack by this AI
+
 	opposing_alliance	= 50	# For neutrals, all alliances are "opposing"
 	claim_threat		= 0	# If we are neutral, countries with claims on us get this
 	unstable_border		= 0	# Bordering countries at war with someone else get this
 
 	# Borders with specific countries
 	country_priorities = {
-		CHI = 50
-		CSX = 50
-		SIK = 50
-		CXB = 50
-		CYN = 50
-		CGX = 50
-		CHC = 50
+		CHI = 20
+		CSX = 20
+		SIK = 20
+		CXB = 10
+		CYN = 10
+		CGX = 20
+		CHC = 20
 		VIC = -1
 		MAN = -1
 		MON = -1
 		SIA = -1
 		SOV = 25
 		POR = -1
-		ENG = 50
+		ENG = 80
 		FRA = 50
-		HOL = 10
 		USA = 50
-		AST = 10
-		NZL = 10
 	}
-	province_priorities = {
-		1337 = 35 # Saigon
-		1322 = 35 # Kaohsung
-		1613 = 35 # Truk
-		1601 = 35 # Eniwetok
-		1608 = 35 # Kwajelin
-		1670 = 35 # Rabaul
-	}
-	area_multiplier = {
-		1785 = 1.5 # Marcus Island
-		1625 = 1.5 # Rota
-		1192 = 1.5 # Anami
-		1194 = 1.5 # Jeju
-		1784 = 1.5 # Bonin Island
-		1176 = 0.1 # Etorufu
+
+		area_multiplier = {
+		# more island
+		1599 = 2.0
+
+		1627 = 2.0
+		1613 = 2.0
+
+		# carolines
+		1604 = 2.0
+		1612 = 2.0
+		1615 = 2.0
+		1616 = 2.0
+		1617 = 2.0 
+		1618 = 2.0
+		1619 = 2.0
+		1620 = 2.0
+		1621 = 2.0
+		### Marshall
+		1600 = 2.0
+		1601 = 2.0
+		1602 = 2.0
+		1603 = 2.0
+		1605 = 2.0
+		1606 = 2.0
+		1607 = 2.0
+		1608 = 2.0
+		1609 = 2.0
+		1610 = 2.0
+		###
+		2172 = 2.0
+		2172 = 2.0
+
+		# less China
+		1215 = 0.5
+		1202 = 0.5
+		1314 = 0.5
+		1321 = 0.5
+
 	}
 }
-front = { 
-	recklessness 		= 0 # 0-3
+front = {
+	recklessness 		= 1 # 0-3
 	distrib_vs_ai 		= even
-	distrib_vs_human 	= reactive
-
+	distrib_vs_human 	= even
 	enemy_reinf_days	= 6
-	reserve_prop		= 0.1
+
 	panic_ratio_vs_ai	= 2.5
-	panic_ratio_vs_human = 2.5
-	base_attack_odds	= 1.3
+	panic_ratio_vs_human	= 2.5
+	base_attack_odds	= 1.333
 	min_attack_odds		= 1.1
-	max_attack_odds		= 3.0
+	max_attack_odds		= 2.5
 	reinforce_odds		= 1.2
-	withdraw_odds		= 0.6
+	withdraw_odds		= 0.75
+
+	reserve_prop = 0.2
+
+      	passivity = {
+		CYN = 100
+		SIK = 100
+		CXB = 100
+	}
+}
+
+###################################
+# Invasions and Naval
+###################################
+invasion = {
+	invasion	= yes
+ 	base		= 0.1	#Relative modifier. (lower = specific targets much more important.)
+	random		= 8.0	#How big a random range.  (1.0 = 1%)
+	coastal		= 0.1	#increase to avoid coastal forts more.
+	beach		= 0.1	#higher, avoid worst beaches.
+	distance	= 0.1	#higher = avoid long distance.
+	max_distance    = 15.0
+	pocket		= 20.0	#prioritise pockets, ie provinces with no adjacent controlled by same.
+	island		= 0.1	#prioritise taking pure islands.
+	enemy		= 2.0	#higher = much more vary of troops in province.
+	adjacentenemy 	= 2.0	#higher = much more vary of troops nearby
+	air_base	= 1.5
+      	naval_base 	= 0.1
+      	air_support 	= 3.0
+      	redirect 	= priority
+	ignore		= no
+
+	staging_province = {
+ 	#	1188 # Hiroshima
+
+	}
+	target = {
+		1204 = 1000 #Tianjin
+		1214 = 1000 #Yantal
+		1215 = 1000 #Qingdao
+		1237 = 1000 #Shanghail
+		1321 = 1000 # Hainan
+		1244 = 1000 # Fuzhou
+		1247 = 1000 # Xizmen
+		1248 = 1000 # Shantou
+	}
+}
+
+admiral = {
+	min_org		= 100	# NEW: Percent of org gained back before the unit can leave port
+	min_dmg		= 98    # NEW: Percent of dmg gained back before the unit can leave port
+	return_org 	= 60 	# NEW: PERCENT OF ORG LOST BEFORE RETURNING TO PORT applies to all fleets/ships
+	return_dmg 	= 80 	# NEW: PERCENT OF DMG LOST BEFORE RETURNING TO PORT for repairs applies to all fleets/ships
+	ignore = {
+
+# Mediterranean
+"Adriatic Sea"
+"Aegean Sea"
+"Black Sea"
+"Tyrrhenian Sea"
+"Costa del Sol"
+"Algerian Coast"
+"Egyptian Coast"
+"Gulf of Lyon"
+
+
+# Caribbean
+"Yucatan Strait"
+"Central Carribean"
+"Windward Islands"
+"West Gulf of Mexico"
+"East Gulf of Mexico"
+"Florida Strait"
+
+# Baltic Sea
+"Bothnian Bay"
+"Northern Baltic"
+"Southern Baltic"
+
+
+# North Sea
+"Kattegat"
+"English Channel"
+"Southeast Northsea"
+"West Northsea"
+"Central Northsea"
+"Norwegian Sea"
+"Western Approaches"
+"Greenland Coast"
+"Faroes Gap"
+"North Atlantic"
+"Bay of Biscay"
+"Azores"
+"Portugese Coast"
+"Cap St Vincent"
+"Cape Finisterre"
+"Irish West Coast"
+"The Hebreides"
+
+# North Atlantic
+"Barents Sea"
+"Irish Sea"
+"Denmark Strait"
+"Central Atlantic"
+"Hudson Bay"
+"Bermuda Triangle"
+"Northern Sea of Labrador"
+"Southern Sea of Labrador"
+"Grand Banks"
+"The Seamounts"
+"Canadian Maritimes"
+"US Maritimes"
+"Central Mid-Atlantic Ridge"
+"East North Sea"
+"Arctic Ocean"
+
+# South Atlantic
+"Coast of Brazil"
+"Cap Verde"
+"Gulf of Guinea"
+"Coast of Africa"
+"Coast of Bissao"
+"Guiana Basin"
+"South-Central Mid-Atlantic Ridge"
+"Atlantic-Indian Ridge"
+"Coast of South Africa"
+"Coast of Angola-Namibia"
+"Angola Plain"
+"Argentine Plain"
+"Coast of Argentina"
+"Coast of Uruguay"
+"Coast of Guyana"
+"Coast of Recife"
+"Pernambuco Plain"
+"Ascension Fracture Zone"
+	}
+
+
+
+	base = { 1187 }
 }
\ No newline at end of file
diff -Naur Doomsday Data Files.old/ai/switch/jap_china.ai Doomsday Data Files/ai/switch/jap_china.ai
--- Doomsday Data Files.old/ai/switch/jap_china.ai	2008-12-01 19:17:14.000000000 +0100
+++ Doomsday Data Files/ai/switch/jap_china.ai	2008-12-01 21:31:17.000000000 +0100
@@ -1,27 +1,104 @@
-# Japan vs China AI File by Lothos
+# reworked by Spocky for DAIM
+# based on the original files (HoI2 1.1) by Lothos
+# reuse is welcome as long as file origin is correctly stated
 
 max_garrison_prop = 0.20
 min_garrison_prop = 0.10
+reinforcement = 0.01
+upgrading = 0.1
 
 ###################################
 # Diplomacy
 ###################################
 combat = {
-	CHI = 150
-	CSX = 150
-	SIK = 1
-	CXB = 1
-	CYN = 10
-	CGX = 50
-	CHC = 10
+	CHI = 200
+	CSX = 100
+	CGX = 100
+	CHC = 150
 }
+trade = {
+	cancel_deal_threshold = 2
+	energy 		= -1
+	rare_materials 	= -1
+	metal 		= -1
+	oil 		= -1
+	supplies 	= 11
+	money 		= -1
+}
+target = {
+			1237 = 150
+			1235 = 150
+			1236 = 150
+			1258 = 150
+			1228 = 150
+}
+
 ###################################
 # Construction and Tech Research
 ###################################
-military = { 
-	max_batch_peace 		= 360 
-	max_batch_war 			= 360 
-	max_batch_home_front 	= 360
+#Default values
+construction = {
+	max_factor = 0.000
+
+}
+military = {
+	relative_build_scheme 	= no
+	max_batch_peace 	= 540
+	max_batch_war 		= 540
+	max_batch_home_front 	= 540
+
+	#### Divisions etc...
+	infantry 	= 30
+	cavalry 	= 10
+	motorized 	= 0
+	mechanized 	= 0
+	light_armor 	= 0
+	armor 		= 5
+	paratrooper 	= 0
+	marine 		= 15
+	bergsjaeger 	= 15
+	garrison	= 0
+      	hq 		= 5
+	militia 	= 0
+#				80%
+	interceptor 	= 3
+	multi_role 	= 2
+	cas 		= 0
+	strategic_bomber = 0
+	tactical_bomber = 4
+	naval_bomber 	= 1
+	transport_plane = 0
+	flying_bomb 	= 0
+	flying_rocket 	= 0
+#				10 %
+	battleship 	= 0
+	carrier 	= 10
+	escort_carrier	= 0
+	destroyer 	= 0
+	light_cruiser 	= 0
+	heavy_cruiser 	= 0
+	battlecruiser 	= 0
+	submarine 	= 0
+	transports 	= 0
+#				10 %
+
+
+	#### Brigades
+	artillery 		= 40
+	sp_artillery 		= 0
+	rocket_artillery	= 0
+	sp_rct_artillery 	= 0
+	anti_tank 		= 0
+	tank_destroyer 		= 0
+	light_armor_brigade 	= 0
+	heavy_armor 		= 0
+	super_heavy_armor 	= 0
+	armored_car 		= 20
+	anti_air 		= 0
+	police 			= 10
+	engineer 		= 10
+
+	cag = 100.000
 }
 ###################################
 # Ground Combat, Leaders and Garrisons
@@ -29,89 +106,195 @@
 garrison = {
 	defend_overseas_beaches = yes
 	home_multiplier 	= 0.5
-	overseas_multiplier = 1.0
-	home_peace_cap 		= 10
+	overseas_multiplier 	= 1.0
+	home_peace_cap 		= 11
 	war_zone_odds 		= 1.5
 	key_point_prio_mult	= 0
-	revolt_risk_mult	= 0.3
+	revolt_risk_mult	= 0.1
 
 	# PRIORITIES:
-	beach			= 30	# Beach level 2
+	beach			= 20	# Beach level 2
 	capital			= 20	# Our capital
-	human_border	= 0		# Ignored for allied human players
-	war_target		= 50	# The next country targeted for attack by this AI
-	reserves 		= 20
-	
+	human_border		= 50	# Ignored for allied human players
+	war_target		= 100	# The next country targeted for attack by this AI
+
 	opposing_alliance	= 50	# For neutrals, all alliances are "opposing"
 	claim_threat		= 0	# If we are neutral, countries with claims on us get this
 	unstable_border		= 0	# Bordering countries at war with someone else get this
 
 	# Borders with specific countries
 	country_priorities = {
-		CHI = 10
-		CSX = 10
-		SIK = 10
-		CXB = 10
-		CYN = 10
-		CGX = 10
-		CHC = 10
+		CHI = 200
+		CSX = 100
+		SIK = 20
+		CXB = 20
+		CYN = 20
+		CGX = 100
+		CHC = 90
 		VIC = -1
 		MAN = -1
 		MON = -1
 		SIA = -1
-		SOV = 10
+		SOV = 25
 		POR = -1
 		ENG = 10
 		FRA = 10
 		HOL = 10
-		USA = 10
-		AST = 10
-		NZL = 10
-	}
-	province_priorities = {
-		1337 = 35 # Saigon
-		1322 = 35 # Kaohsung
-		1613 = 35 # Truk
-		1601 = 35 # Eniwetok
-		1608 = 35 # Kwajelin
-		1670 = 35 # Rabaul
-	}
-	area_multiplier = {
-		1785 = 1.0 # Marcus Island
-		1625 = 1.0 # Rota
-		1192 = 1.0 # Anami
-		1194 = 1.0 # Jeju
-		1784 = 1.0 # Bonin Island
-	}
-}
-front = { 
-	recklessness 		= 0 # 0-3
-	distrib_vs_ai 		= reactive
-	distrib_vs_human 	= reactive
+	}
+}
+front = {
+	recklessness 		= 2 # 0-3
+	distrib_vs_ai 		= even
+	distrib_vs_human 	= even
 
 	enemy_reinf_days	= 6
-	reserve_prop		= 0.1
+
 	panic_ratio_vs_ai	= 2.5
 	panic_ratio_vs_human	= 2.5
-	base_attack_odds	= 1.1
-	min_attack_odds		= 1.0
-	max_attack_odds		= 3.0
+	base_attack_odds	= 1.333
+	min_attack_odds		= 1.1
+	max_attack_odds		= 2.5
 	reinforce_odds		= 1.2
-	withdraw_odds		= 0.6
+	withdraw_odds		= 0.75
+
+	reserve_prop = 0.2
 
-   	enemy_handicap = { } 
-   	passivity = {
+      	passivity = {
+		CYN = 100
+		SIK = 100
 		CXB = 100
-	} 
-} 
+	}
+}
 ###################################
 # Invasions and Naval
 ###################################
-admiral = { 
+invasion = {
+	invasion	= yes
+ 	base		= 0.1	#Relative modifier. (lower = specific targets much more important.)
+	random		= 8.0	#How big a random range.  (1.0 = 1%)
+	coastal		= 0.1	#increase to avoid coastal forts more.
+	beach		= 0.1	#higher, avoid worst beaches.
+	distance	= 20.0	#higher = avoid long distance.
+	pocket		= 20.0	#prioritise pockets, ie provinces with no adjacent controlled by same.
+	island		= 0.1	#prioritise taking pure islands.
+	enemy		= 2.0	#higher = much more vary of troops in province.
+	adjacentenemy 	= 2.0	#higher = much more vary of troops nearby
+	air_base	= 1.5 
+      	naval_base 	= 0.1 
+      	air_support 	= 3.0 
+      	redirect 	= priority
+	ignore		= no
+
+	staging_province = {
+		1322 # Kaohsung
+#		1613 # Truk
+
+	}
+	target = {
+		1204 = 2000 #Tianjin
+		1214 = 2000 #Yantal
+		1215 = 2000 #Qingdao
+		1237 = 6000 #Shanghai
+		1217 = 2000 # Nanton
+		1219 = 2000 # Lianyuang
+		1321 = 2000 # Hainan
+		1244 = 2000 # Fuzhou
+		1247 = 2000 # Xizmen
+		1248 = 2000 # Shantou
+	}
+}
+admiral = {
 	min_org		= 100	# NEW: Percent of org gained back before the unit can leave port
 	min_dmg		= 98    # NEW: Percent of dmg gained back before the unit can leave port
 	return_org 	= 60 	# NEW: PERCENT OF ORG LOST BEFORE RETURNING TO PORT applies to all fleets/ships
 	return_dmg 	= 80 	# NEW: PERCENT OF DMG LOST BEFORE RETURNING TO PORT for repairs applies to all fleets/ships
+	min_core_attack_fleets  = 1		# Minimum amount of attack fleets to defend CORE provinces (default 0)
+	num_attack_fleets		= 2 	# ENG/USA default 3, JAP default 2 everyone else is 1
+
+
+ignore = {
+
+# Mediterranean
+"Adriatic Sea"
+"Aegean Sea"
+"Black Sea"
+"Tyrrhenian Sea"
+"Costa del Sol"
+"Algerian Coast"
+"Egyptian Coast"
+"Gulf of Lyon"
+
+
+# Caribbean
+"Yucatan Strait"
+"Central Carribean"
+"Windward Islands"
+"West Gulf of Mexico"
+"East Gulf of Mexico"
+"Florida Strait"
+
+# Baltic Sea
+"Bothnian Bay"
+"Northern Baltic"
+"Southern Baltic"
+
+
+# North Sea
+"Kattegat"
+"English Channel"
+"Southeast Northsea"
+"West Northsea"
+"Central Northsea"
+"Norwegian Sea"
+"Western Approaches"
+"Greenland Coast"
+"Faroes Gap"
+"North Atlantic"
+"Bay of Biscay"
+"Azores"
+"Portugese Coast"
+"Cap St Vincent"
+"Cape Finisterre"
+"Irish West Coast"
+"The Hebreides"
+
+# North Atlantic
+"Barents Sea"
+"Irish Sea"
+"Denmark Strait"
+"Central Atlantic"
+"Hudson Bay"
+"Bermuda Triangle"
+"Northern Sea of Labrador"
+"Southern Sea of Labrador"
+"Grand Banks"
+"The Seamounts"
+"Canadian Maritimes"
+"US Maritimes"
+"Central Mid-Atlantic Ridge"
+"East North Sea"
+"Arctic Ocean"
+
+# South Atlantic
+"Coast of Brazil"
+"Cap Verde"
+"Gulf of Guinea"
+"Coast of Africa"
+"Coast of Bissao"
+"Guiana Basin"
+"South-Central Mid-Atlantic Ridge"
+"Atlantic-Indian Ridge"
+"Coast of South Africa"
+"Coast of Angola-Namibia"
+"Angola Plain"
+"Argentine Plain"
+"Coast of Argentina"
+"Coast of Uruguay"
+"Coast of Guyana"
+"Coast of Recife"
+"Pernambuco Plain"
+"Ascension Fracture Zone"
+	}
 
 	target = {
 		2188 = 200
@@ -121,7 +304,7 @@
 		2263 = 100
 		2158 = 100
 		2156 = 100
-	} 
+	}
 	core = {
 		2589
 		2193
@@ -130,5 +313,6 @@
 		2194
 		2213
 		2185
-	} 
+	}
+	base = { 1187 }
 }
\ No newline at end of file
diff -Naur Doomsday Data Files.old/ai/switch/jap_defence1.ai Doomsday Data Files/ai/switch/jap_defence1.ai
--- Doomsday Data Files.old/ai/switch/jap_defence1.ai	1970-01-01 01:00:00.000000000 +0100
+++ Doomsday Data Files/ai/switch/jap_defence1.ai	2008-12-01 21:31:17.000000000 +0100
@@ -0,0 +1,322 @@
+# reworked by Spocky for DAIM
+# based on the original files (HoI2 1.1) by Lothos
+# reuse is welcome as long as file origin is correctly stated
+
+max_front_ratio = 2.000 
+max_garrison_prop = 0.40
+min_garrison_prop = 0.20
+neutrality = 0.000 
+war = 35
+strat_redeploy_threshold = 21
+exp_force_ratio = 0.0
+
+
+###################################
+# Ground Combat, Leaders and Garrisons
+###################################
+garrison = {
+	defend_overseas_beaches = yes
+	home_multiplier 	= 5.0
+	overseas_multiplier 	= 1.0
+	home_peace_cap 		= 3
+	war_zone_odds 		= 2.0
+	key_point_prio_mult	= 0.5
+	revolt_risk_mult	= 0.1
+
+	# PRIORITIES:
+	beach			= 70	# Beach level 2
+	capital			= 100	# Our capital
+	human_border		= 0	# Ignored for allied human players
+	war_target		= 75	# The next country targeted for attack by this AI
+	
+	opposing_alliance	= 50	# For neutrals, all alliances are "opposing"
+	claim_threat		= 0	# If we are neutral, countries with claims on us get this
+	unstable_border		= 0	# Bordering countries at war with someone else get this
+
+	# Borders with specific countries
+	country_priorities = {
+		CHI = 10
+		CSX = 10
+		SIK = 10
+		CXB = 10
+		CYN = 10
+		CGX = 10
+		CHC = 10
+		VIC = -1
+		MAN = -1
+		MON = -1
+		SIA = -1
+		SOV = 15
+		POR = -1
+		ENG = 100
+		FRA = 50
+		HOL = 50
+		USA = 150
+		PHI = 150
+		AST = 50
+		NZL = 5
+	}
+	key_point_prio_mult	= 0.5
+
+}
+###################################
+# Invasions and Naval
+###################################
+invasion = {
+
+	invasion	= yes
+ 	base		= 1.5	#Relative modifier. (lower = specific targets much more important.)
+	random		= 10.0	#How big a random range.  (1.0 = 1%)
+	coastal		= 2.0	#increase to avoid coastal forts more.
+	beach		= 1.0	#higher, avoid worst beaches.
+	distance	= 3.0	#higher = avoid long distance.
+	max_distance    = 50.0  #About the distance from Rostock to Narvik
+	pocket		= 1.0	#prioritise pockets, ie provinces with no adjacent controlled by same.
+	island		= 1.0	#prioritise taking pure islands.
+	enemy		= 3.0	#higher = much more vary of troops in province.
+	adjacentenemy 	= 3.0	#higher = much more vary of troops nearby
+	air_base	= 1.0 
+      	naval_base 	= 1.0 
+      	air_support 	= 1.0 
+      	redirect 	= nearest
+	ignore		= yes
+	help_allies 	= no
+      
+	staging_province = {
+	#	1337 # Saigon
+	#	1322 # Kaohsung
+	#	1613 # Truk
+	#	1321
+
+	}
+	target = {
+
+		#Outer Japanese Islands
+		1627 = 3250 # Saipan
+		1626 = 3250 # Tinian
+		1625 = 3250 # Rota
+
+		1621 = 3250 # Palau
+		1785 = 3250 # Marcus Island
+		
+		#Far Outer Rim Japanese Islands
+		1601 = 2250 # Eniwetok
+		1600 = 2250 # Bikini
+		1602 = 2250 # Wotje
+		1608 = 2250 # Kwajalein
+		1603 = 2250 # Maloelap
+		1605 = 2250 # Majuro
+		1607 = 2250 # Jaluit
+		1606 = 2250 # Mili
+		1610 = 2250 # Ponape
+		1609 = 2250 # Kosrae
+		1620 = 2250 # Ngulu
+		1619 = 2250 # Yap
+		1618 = 2250 # Ulithi
+		1604 = 2250 # Wolelai
+		1615 = 2250 # Ulul
+		1617 = 2250 # Woleai
+		1616 = 2250 # Pulusok
+		1613 = 2250 # Truk
+		1612 = 2250 # Satawan
+		#Phase 3
+		1666 = 500 # Aitape
+		1667 = 500 # Wewak
+		1672 = 500 # Lae
+		1677 = 500 # Buna
+		1680 = 500 # Milne Bay
+		1679 = 1000 # Port Morseby
+
+		#North Solomon Islands
+		1668 = 500 # Admirality Islands
+		1669 = 500 # New Ireland
+		1681 = 500 # Buka Island
+		1682 = 500 # Bougainville
+
+
+		# South Solomon Islands
+		1683 = 500 # Shortland Island
+		1614 = 500 # Vella Lavella
+		1622 = 500 # Kolombangara
+		1684 = 500 # New Georgia
+		1685 = 1000 # Guadalcanal
+
+
+		
+
+		#Phase 2
+		#Netherlands East Indies
+		1628 = 300 # Batavia
+		1630 = 300 # Semarang
+		1629 = 300 # Tjilatjap
+		1632 = 300 # Soerabaja
+		1634 = 300 # Madura
+		1631 = 300 # Djokjakarta
+		1633 = 300 # Malang
+		1358 = 300 # Palembang
+		1359 = 300 # Oosthaven
+		1356 = 300 # Dumai
+		1357 = 300 # Padang
+		1355 = 300 # Medan
+
+		#Borneo
+		1646 = 200 # Mini
+		1644 = 200 # Kuching
+		1642 = 200 # Pontianak
+		1641 = 200 # Bandjermasin
+		1650 = 300 # Balikpapan
+		1649 = 200 # Samarinda
+		1648 = 200 # Tarakan
+		1647 = 200 # Jessleton
+
+
+
+
+		#Indonesia
+		1653 = 100 # Menado
+		1651 = 100 # Palu
+		1640 = 300 # Makassar
+		1652 = 100 # Kendari
+		1670 = 200 # Rabaul
+		1671 = 200 # Gasmata
+
+		#Indonesia
+		1654 = 100 # Helmahera
+		1655 = 100 # Buru
+		1656 = 100 # Ceram
+
+		#North New Guinea
+		1663 = 100 # Arare
+		1664 = 200 # Sarmi
+		1665 = 1000 # Hollandia
+
+
+
+		#Phase1
+		#Philippines
+		1732 = 1000 # Manila
+
+		1740 = 1000 # Lingayen Gulf
+		1742 = 1000 # Lamon Bay
+		1743 = 1000 # Legaspi
+		1750 = 1000 # Davao
+		1749 = 1000 # Cagayan
+		1748 = 1000 # Zamboangs
+
+		1745 = 1000 # Leyte
+		1736 = 1000 # Mindoro
+
+
+} 
+}
+ 
+Admiral = { 
+	min_org		= 100	# NEW: Percent of org gained back before the unit can leave port
+	min_dmg		= 98    # NEW: Percent of dmg gained back before the unit can leave port
+	return_org 	= 60 	# NEW: PERCENT OF ORG LOST BEFORE RETURNING TO PORT applies to all fleets/ships
+	return_dmg 	= 80 	# NEW: PERCENT OF DMG LOST BEFORE RETURNING TO PORT for repairs applies to all fleets/ships
+	ignore = {
+
+# Mediterranean
+"Adriatic Sea"
+"Aegean Sea"
+"Black Sea"
+"Tyrrhenian Sea"
+"Costa del Sol"
+"Algerian Coast"
+"Egyptian Coast"
+"Gulf of Lyon"
+
+
+# Caribbean
+"Yucatan Strait"
+"Central Carribean"
+"Windward Islands"
+"West Gulf of Mexico"
+"East Gulf of Mexico"
+"Florida Strait"
+
+# Baltic Sea
+"Bothnian Bay"
+"Northern Baltic"
+"Southern Baltic"
+
+
+# North Sea
+"Kattegat"
+"English Channel"
+"Southeast Northsea"
+"West Northsea"
+"Central Northsea"
+"Norwegian Sea"
+"Western Approaches"
+"Greenland Coast"
+"Faroes Gap"
+"North Atlantic"
+"Bay of Biscay"
+"Azores"
+"Portugese Coast"
+"Cap St Vincent"
+"Cape Finisterre"
+"Irish West Coast"
+"The Hebreides"
+
+# North Atlantic
+"Barents Sea"
+"Irish Sea"
+"Denmark Strait"
+"Central Atlantic"
+"Hudson Bay"
+"Bermuda Triangle"
+"Northern Sea of Labrador"
+"Southern Sea of Labrador"
+"Grand Banks"
+"The Seamounts"
+"Canadian Maritimes"
+"US Maritimes"
+"Central Mid-Atlantic Ridge"
+"East North Sea"
+"Arctic Ocean"
+
+# South Atlantic
+"Coast of Brazil"
+"Cap Verde"
+"Gulf of Guinea"
+"Coast of Africa"
+"Coast of Bissao"
+"Guiana Basin"
+"South-Central Mid-Atlantic Ridge"
+"Atlantic-Indian Ridge"
+"Coast of South Africa"
+"Coast of Angola-Namibia"
+"Angola Plain"
+"Argentine Plain"
+"Coast of Argentina"
+"Coast of Uruguay"
+"Coast of Guyana"
+"Coast of Recife"
+"Pernambuco Plain"
+"Ascension Fracture Zone"
+	}
+
+
+
+	target = {
+		2203 = 100
+		2254 = 100
+		2256 = 100
+		2253 = 100
+		2251 = 100
+		2252 = 100
+		2267 = 100
+ } 
+	core = {
+		2203 
+		2254 
+		2256 
+		2253 
+		2251 
+		2252 
+		2267 
+	} 
+}
\ No newline at end of file
diff -Naur Doomsday Data Files.old/ai/switch/jap_defence2.ai Doomsday Data Files/ai/switch/jap_defence2.ai
--- Doomsday Data Files.old/ai/switch/jap_defence2.ai	1970-01-01 01:00:00.000000000 +0100
+++ Doomsday Data Files/ai/switch/jap_defence2.ai	2008-12-01 21:31:17.000000000 +0100
@@ -0,0 +1,144 @@
+# reworked by Spocky for DAIM
+# based on the original files (HoI2 1.1) by Lothos
+# reuse is welcome as long as file origin is correctly stated
+
+
+
+###################################
+# Construction and Tech Research
+###################################
+#Default values
+
+
+military = { 
+	relative_build_scheme 	= yes
+	max_batch_peace 	= 540
+	max_batch_war 		= 540 
+	max_batch_home_front 	= 540
+
+	#### Divisions etc...
+	infantry 	= 40
+	cavalry 	= 0
+	motorized 	= 9
+	mechanized 	= 0
+	light_armor 	= 0
+	armor 		= 0
+	paratrooper 	= 0
+	marine 		= 0
+	bergsjaeger 	= 0
+	garrison	= 26
+      	hq 		= 0
+	militia 	= 0
+#				75 %
+	interceptor 	= 5
+	multi_role 	= 0
+	escort 		= 0
+	cas 		= 0
+	strategic_bomber = 0
+	tactical_bomber = 5
+	naval_bomber 	= 5
+	transport_plane = 0
+	flying_bomb 	= 0
+	flying_rocket 	= 0
+#				15 %
+	battleship 	= 0
+	carrier 	= 0
+	destroyer 	= 0
+	light_cruiser 	= 0
+	heavy_cruiser 	= 0
+	battlecruiser 	= 0
+	submarine 	= 0
+	transports 	= 0
+#				0 %
+
+	#### Brigades
+	artillery 		= 26
+	sp_artillery 		= 9
+	rocket_artillery	= 0 
+	sp_rct_artillery 	= 0
+	anti_tank 		= 0
+	tank_destroyer 		= 0
+	light_armor_brigade 	= 6
+	heavy_armor 		= 0
+	super_heavy_armor 	= 0
+	armored_car 		= 12
+	anti_air 		= 5
+	police 			= 9	
+	engineer 		= 10 
+
+	cag = 100.000 
+}
+
+
+
+
+
+garrison = {
+	defend_overseas_beaches = no
+	home_multiplier 	= 10.0
+	overseas_multiplier 	= 0.1
+	home_peace_cap 		= 21
+	war_zone_odds 		= 2.0
+	key_point_prio_mult	= 1.0
+	revolt_risk_mult	= 1.0
+
+	# PRIORITIES:
+	beach			= 100	# Beach level 2
+	capital			= 150	# Our capital
+	human_border		= 100	# Ignored for allied human players
+	war_target		= 150	# The next country targeted for attack by this AI
+	
+	opposing_alliance	= 50	# For neutrals, all alliances are "opposing"
+	claim_threat		= 0	# If we are neutral, countries with claims on us get this
+	unstable_border		= 0	# Bordering countries at war with someone else get this
+
+	# Borders with specific countries
+	country_priorities = {
+		ENG = 100
+		SOV = 100
+		USA = 100
+	}
+	ignore = {
+	
+	}
+	province_priorities = {
+
+			
+	}
+	area_multiplier = { }
+}
+front = { 
+	recklessness 		= 2 # 0-3
+	distrib_vs_ai 		= op_defence
+	distrib_vs_human 	= op_defence
+
+	enemy_reinf_days	= 6
+	reserve_prop = 0.2
+	panic_ratio_vs_ai = 3.0
+	panic_ratio_vs_human = 2.0
+	base_attack_odds = 2.0
+	min_attack_odds = 1.3
+	max_attack_odds = 1.8
+	reinforce_odds = 1.3 #1.5
+	withdraw_odds = 0.7
+
+	strength 	= 1.0
+	organisation 	= 2.0
+	soft_attack 	= 1.0
+	hard_attack 	= 2.0
+	ground_defense 	= 1.0
+	dig_in 		= 1.25 # Against defender
+	
+      	enemy_handicap = { } 
+      	passivity = { } 
+} 
+
+###################################
+# Invasions and Naval
+###################################
+invasion = { 
+	ignore		= no 
+	invasion	= no
+      
+	target = { } 
+} 
